' Displays ASCII character chart. v1.0a. PD 2001.
CLS
COLOR 15, 0
PRINT "ASCII Chart for characters 1 to 127:"
FOR Char = 1 TO 127
   SELECT CASE Char
   ' skip unprintable characters
   CASE 7, 9 TO 13, 28 TO 32
      DisplayChar$ = " "
   ' store character
   CASE ELSE
      DisplayChar$ = CHR$(Char)
   END SELECT
   Var$ = MID$(STR$(Char), 2)
   Var1$ = RIGHT$("00" + Var$, 3) + " "
   COLOR 10, 0
   PRINT Var1$;
   COLOR 14, 0
   PRINT DisplayChar$; " ";
   ' check full screen line
   IF (Char MOD 10) = 0 THEN PRINT
NEXT
PRINT
COLOR 15, 0
PRINT "Press a key:";
WHILE INKEY$ = "": WEND
COLOR 7, 0
PRINT
CLS
COLOR 15, 0
PRINT "ASCII Chart for characters 128 to 255:"
FOR Char = 128 TO 255
   DisplayChar$ = CHR$(Char)
   Var$ = MID$(STR$(Char), 2)
   Var1$ = RIGHT$("00" + Var$, 3) + " "
   COLOR 10, 0
   PRINT Var1$;
   COLOR 14, 0
   PRINT DisplayChar$; " ";
   ' check full screen line
   IF ((Char - 7) MOD 10) = 0 THEN PRINT
NEXT
PRINT
COLOR 15, 0
PRINT "Press a key:";
WHILE INKEY$ = "": WEND
COLOR 7, 0
PRINT
END

